/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.application;

import com.monica.javacom.interfaces.*;
import java.awt.*;

/** Class responsible for holding an Image.
*/
class ImageCanvas extends Component {
  private Image image;

  /** Constructor. The Image to hold has to be specified.
      @param Image i: the Image to hold
  */
  public ImageCanvas(Image i) {
    image = i;
    setSize(new Dimension(455,341));
  }

  /** Method for painting the image area.
      @param Graphics g: the Graphics object which paints
  */
  public void paint(Graphics g) {
    if (image != null)
      g.drawImage(image, 0, 0, this);
    }
}

/** Class responsible for displaying the Intro window at the client side startup.
*/
public class MJCIntro extends Frame {

  /** Default constructor.
      @param MJCConfiguration configuration: the customization information
  */
  public MJCIntro(MJCConfiguration configuration) {
    super(configuration.getString("introTitle", "Team MONICA Javacom v0.1"));
    Image im=getToolkit().getImage("./com/monica/javacom/application/intro.jpg");
    ImageCanvas ic;
    ic=new ImageCanvas(im);
    setSize(ic.getSize());
    setLocation(new Point(100,100));
    add(ic);
  }
}
