/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.ciphering;

/**	Thrown by the constructors and different set- methods in classes AES and RSA to indicate that an input value was out of range.
		@see AES#AES(AESKey, int)
		@see AES#setNumberOfRounds(int)
		@see AESKeyGenerator#AESKeyGenerator(int, Random)
		@see AESKeyGenerator#setKeyLength(int)
		@see RSAKeyPairGenerator#RSAKeyPairGenerator(int, int, int, Random)
		@see RSAKeyPairGenerator#setKeyLength(int)
		@see RSAKeyPairGenerator#setCertainty(int)
		@see RSAKeyPairGenerator#setPublicKey(int)
*/

public class BadInputValueException extends Exception {

/**	Constructs a BadInputValueException with no detail message.
*/	
	
	public BadInputValueException() {
	}
	
/**	Constructs a BadInputValueException with the specified detail message.
		@param text the detail message
*/	
	public BadInputValueException(String text) {
		System.err.println(text);
	}

}