/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.ciphering;

import com.monica.javacom.ciphering.*;

import java.math.BigInteger;
import java.util.Random;



public class Cipher {

	final static int rsakeyLength = 16;
	final static int certainty = 100;
	final static int publicKey = 65537;
	final static int aeskeyLength = 16;

	public static void main(String argv[]) throws Exception {

                byte bbbb[]=new byte[2];
                bbbb[0]=120;
                bbbb[1]=-120;
                char cccc[]=new char[2];
                cccc[0]=(char)bbbb[0];
                cccc[1]=(char)(256+(int)bbbb[1]);
                String ssss=new String(cccc);
                byte[] dddd=ssss.getBytes();
                System.out.println((int)ssss.charAt(0));
                System.out.println((int)ssss.charAt(1));
//
                System.out.println((int)cccc[1]);
                System.out.println(dddd[0]);
                System.out.println(dddd[1]);
//                System.exit(0);

		System.out.println("\nKulcsok generalasa...\n");

		Random random=new Random();
		
		RSAKeyPairGenerator rsagenerator=new RSAKeyPairGenerator(rsakeyLength, certainty, publicKey, random);
		RSAKeyPair rsapair=rsagenerator.generateRSAKeyPair();
		RSAKey privateKey=rsapair.getPrivate();
		RSAKey publicKey=rsapair.getPublic();
		RSA rsadecoder=new RSA(privateKey);
		RSA rsaencoder=new RSA(publicKey);
		
		AESKeyGenerator aesgenerator=new AESKeyGenerator(aeskeyLength, random);
		AESKey aesKey=aesgenerator.generateAESKey();
		AES aesdecoder=new AES(aesKey, 20);
		AES aesencoder=new AES(aesKey, 20);

              System.out.println("e = "+publicKey.getExponent());
		System.out.println("d = "+privateKey.getExponent());
		System.out.println("m = "+privateKey.getModulus());

		String publicString=publicKey.toString();
		String privateString=privateKey.toString();
		
		System.out.print("publicKey.toString()= "+publicString+", ");
		System.out.println("privateKey.toString()= "+privateString);
		
		try {
			RSAKey ujPublicKey=new RSAKey(publicString);
			RSAKey ujPrivateKey=new RSAKey (privateString);
		
			System.out.println("e = "+ujPublicKey.getExponent());
			System.out.println("d = "+ujPrivateKey.getExponent());
			System.out.println("m = "+ujPrivateKey.getModulus());
		
	                RSAKeyPair ujPair=new RSAKeyPair(ujPrivateKey, ujPublicKey);
        	        String keyPairString=ujPair.toString();

	                System.out.println("Az elozo toString-ek visszakonvertalasabol kapott KeyPair.toString(): "+keyPairString);

	                try {
        	        	RSAKeyPair ujabbPair=new RSAKeyPair(keyPairString);
                	
				System.out.println("e = "+ujabbPair.getPublic().getExponent());
				System.out.println("d = "+ujabbPair.getPrivate().getExponent());
				System.out.println("m = "+ujabbPair.getPrivate().getModulus());
			}
			catch (Exception e){
				System.out.println("Hiba. :)");
			}
		}
		catch (Exception e){
			System.out.println("Valamelyik kulcs nem kulcs volt.");
		}
				
		System.out.print("\nRSA ?: ");
		byte[] buffer=new byte[16384]; int readLength;		
		String s;
		try {
			readLength=System.in.read(buffer);
			s=new String(buffer, 0, readLength);
			System.out.println("\nA kodolando szoveg:");
			System.out.println(s); 
			try {
				System.out.println("A kodolt szoveg:");
				System.out.println(s=rsaencoder.encode(s));
				System.out.println("\nA dekodolt szoveg:");
				System.out.println(rsadecoder.decode(s));
			}
			catch(Exception e) {
				System.out.println(e);
				System.out.println("Nem sikerult a kodolas");
			}
		}
		catch(java.io.IOException e) {
			System.out.println("Hiba tortent olvasaskor!");
		}

		System.out.println("aesKey = "+aesKey.toString());
		System.out.println("decoder.getKey() = "+aesdecoder.getKey());
		System.out.println("encoder.getKey() = "+aesencoder.getKey());

		String aesString=aesKey.toString();
		System.out.println("aesKey = "+aesString);
		
		try {
			AESKey ujAESKey=new AESKey(aesString);
		
			System.out.println("ujAESKey = "+ujAESKey.toString());
		}
		catch (Exception e){
			System.out.println("A kulcs nem kulcs volt.");
		}
                       
		System.out.print("\nAES ?: ");
                buffer=new byte[16384];   
		try {
                        readLength=System.in.read(buffer);
                        s=new String(buffer, 0, readLength);
			System.out.println("\nA kodolando szoveg:");
			System.out.println(s);
			try {
				System.out.println("A kodolt szoveg:");
				System.out.println(s=aesencoder.encode(s));
				System.out.println("\nA dekodolt szoveg:");
				System.out.println(aesdecoder.decode(s));
			}
			catch(Exception e) {
				System.out.println(e);
				System.out.println("Nem sikerult a kodolas");
			}
		}
		catch(java.io.IOException e) {
			System.out.println("Hiba tortent olvasaskor!");
		}

	}

}
