/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.ciphering;

/**	Implements a List the members of which are Strings. This is a very simple but clear implementation of a FIFO. It is used by both AES and RSA algorithms.
*/

public class StringLista {

/**	Implements the list nodes of StringLista. This is an inner class of StrignLista.
		@see StringLista
*/
	class ListaElem {

		private String elem;
		private ListaElem kovetkezo;

		public ListaElem(String in_elem) {
			elem=in_elem;
			kovetkezo=null;
		}

		public void setNext(ListaElem ref) {
			kovetkezo=ref;
		}

		public ListaElem getNext() {
			return kovetkezo;
		}

		public String getString() {
			return elem;
		}
	}

	private int size;
	private ListaElem fej, utolso;

/**	Constructs a new StringLista object.
*/	
	
	public StringLista() {
		size=0;
		fej=null; utolso=null;
	}	

/**	Adds a new element to the end of the list.
		@ujelem the element to be added to the list
*/
	
	public void add(String ujelem) {
		ListaElem uj=new ListaElem(ujelem);
		if (size==0) fej=uj;
		else utolso.setNext(uj);
		utolso=uj;
		size++;
	}

/**	Returns and removes the first element of the list.
		@return the first (oldest) element of the list if the list was not empty, null if the list was empty
*/
	
	public String getFirst() {
		if (isEmpty())
			return null;
		else {
			ListaElem eredmeny=fej;
			fej=fej.getNext();
			size--;
			return eredmeny.getString();
		}
	}

/**	Returns wheather the list is empty.
		@return true if the list is empty, false otherwise
*/	
	
	public boolean isEmpty() {
		if (size==0) return true;
		else return false;
	}
}