/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.interfaces;

import com.monica.javacom.interfaces.*;

/** Middle level layer in the MJC layer hierarchy responsible for
    ciphering the data stream between the upper layers. Implements 
    (if needed) cipher key exchanges, coding and encoding.
*/    

public interface MJCCiphering extends MJCWriteable, MJCReader, MJCReadable, MJCConfigureable, 
  MJCWriter, Runnable {

  /** Returns the MJC name of the MJCCiphering.
      @return String: the MJC name of the MJCCiphering
  */      
  public String getCipheringName();
  
  /** Returns the MJC version of the MJCCiphering.
      @return String: the MJC version of the MJCCiphering
  */      
  public String getCipheringVersion();
  
  /** This method toggles the transparency mode of the MJCCiphering layer.
      The parameter true makes the layer transparent, this means no
      encoding will happen, the parameter false shows the beginning of
      the encoding. By default the layer is transparent.
      @param boolean status: the desired transparency mode
  */      
  public void setTransparent(boolean status);
  
}
