/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.interfaces;

import com.monica.javacom.interfaces.*;

/** This interface is responsible to close the client side application
    upon user request.
*/    

public interface MJCCloser extends MJCConfigureable {

  /** Returns the MJC name of the MJCCloser.
      @return String: the MJC name of the MJCCloser
  */
  public String getCloserName();
  
  /** Returns the MJC version of the MJCCloser.
      @return String: the MJC version of the MJCCloser
  */      
  public String getCloserVersion();
  
  /** This method closes the client side application.
  */
  public void closeApplication();  
  
  /** Sets the MJCTransport which is responsible for the data
      connection between the client and the server.
      @param MJCTransport transport: the MJCTransport that is
        responsible for the data connection between client and server
  */	
  public void setTransport(MJCTransport transport);
  
  /** Sets the MJCWindow that represents the user interface of the client 
      side.
      @param MJCWindow window: the MJCWindow that represents the 
        user interface of the client side
  */	
  public void setWindow(MJCWindow window);
}