/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.interfaces;

import com.monica.javacom.interfaces.*;

/** Middle level layer in the MJC layer hierarchy responsible for
    management functions. 
*/  

public interface MJCProtocol extends MJCWriter, MJCWriteable, MJCReader, MJCReadable, MJCConfigureable {

  /** Returns the MJC name of the MJCProtocol.
      @return String: the MJC name of the MJCProtocol
  */  
  public String getProtocolName();
  
  /** Returns the MJC version of the MJCProtocol.
      @return String: the MJC version of the MJCProtocol
  */  
  public String getProtocolVersion();
  
}
