/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.interfaces;

import com.monica.javacom.interfaces.*;

/** This interface is responsible for the management of an MJCTransport
    server. Currently management only means the handling of the arrival
    of new clients.
*/  
public interface MJCServerManager  {

  /** Returns the MJC name of the MJCServerManager.
      @return String: the MJC name of the MJCServerManager
  */  
  public String getServerManagerName();
  
  /** Returns the MJC version of the MJCServerManager.
      @return String: the MJC version of the MJCServerManager
  */       
  public String getServerManagerVersion();
  
  /** This method will be invoked from the MJCTransport when a new 
      client arrives.
      @param MJCTransport server: the server that has accepted the client
      @param MJCTrabsport client: the accepted client
  */      
  public void newClientHasArrivedEvent(MJCTransport server, MJCTransport client);
  
  /** This method starts the MJCServerManager.
  */    
  public void start();
  
}    