/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.interfaces;

import com.monica.javacom.interfaces.*;

/** Middle level layer in the MJC layer hierarchy responsible for the 
    terminal funcionality, such as cursor positioning etc. 
*/    

public interface MJCTerminal extends MJCWriteable, MJCReader, MJCConfigureable, MJCWriter {

  /** Returns the MJC name of the MJCTerminal.
      @return String: the MJC name of the MJCTerminal
  */      
  public String getTerminalName();
  
  /** Returns the MJC version of the MJCTerminal.
      @return String: the MJC version of the MJCTerminal
  */
  public String getTerminalVersion();
  
  /** Sets the MJCVirtualDisplay for this object to which the 
      interpreted contents of the input stream have to be sent.
      @param MJCVirtualDisplay display: the MJCVirtualDisplay to
        which the interpreted contents have to be sent
  */	
  public void setVirtualDisplay(MJCVirtualDisplay display);
  
  /** Returns the MJCVirtualDisplay to which the interpreted 
      contents of the input stream will be sent.
      @return MJCVirtualDisplay: the MJCVirtualDisplay to which
        the interpreted contents of the input stream will be sent
  */	
  public MJCVirtualDisplay getVirtualDisplay();
    
}

