/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.interfaces;

import com.monica.javacom.interfaces.*;

/** Top level sublayer responsible for holding the MJCVirtualDisplay and
    MJCVirtualInput objects and creating a framework for their
    functionality.
*/
public interface MJCWindow extends MJCConfigureable {

  /** Returns the MJC name of the MJCWindow.
      @return String: the MJC name of the MJCWindow
  */      
  public String getWindowName();
  
  /** Returns the MJC version of the MJCWindow.
      @return String: the MJC version of the MJCWindow
  */      
  public String getWindowVersion();
  
  /** Sets the MJCCloser responsible for closing of the client 
      side application upon user request.
      @param MJCCloser closer: the MJCCloser reponsible for the
        closing of the client side application upon user request
  */	
  public void setCloser(MJCCloser closer);
  
  /** Returns the MJCCloser responsible for the closing of the
      client side application upon user request.
      @return MJCCloser: the MJCCloser responsible for the closing
        of the client side application upon user request
  */	
  public MJCCloser getCloser();
}