/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.interfaces;

import com.monica.javacom.interfaces.*;

/** Implements the source part of the write functionality in the
    MJC layer hierarchy. MJCWriter is always the source of data
    fom the MJCWriteable. Writing in the MJC layer hierarchy is synchronous.
    If the MJCWriter is willing to write, it calls one of the write
    methods of the MJCWriteable. The write will return after the data is 
    submitted to bottom layers. Data can be buffered by the MJCWriteable.
*/    
public interface MJCWriter {

  /** Returns the MJC name of the MJCWriter.
      @return String: the MJC name of the MJCWriter
  */      
  public String getWriterName();
  
  /** Returns the MJC version of the MJCWriter.
      @return String: the MJC version of the MJCWriter
  */      
  public String getWriterVersion();
  
  /** Sets the MJCWriteable to which this MJCWriter will write.
      @param MJCWriteable writeable: the MJCWriteable to which this
        MJCWriter will write
  */	
  public void setWriteable(MJCWriteable writeable);
  
  /** Returns the MJCWriteable to which this MCJWriter will write.
      @return MJCWriteable: the MJCWriteable to which this MJCWriter
        will write
  */	
  public MJCWriteable getWriteable();
  
}    