/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.util;

import com.monica.javacom.interfaces.*;
import com.monica.javacom.util.*;
import java.util.*;
import java.io.*;

public class MJCStringConfiguration extends MJCInputStreamConfiguration {

  // constants
  private static final String NAME="MJCStringConfiguration";
  private static final String VERSION="0.1";

  /** Sets the MJCConfiguration for this object.
      @param MJCConfiguration configuration: the MJCConfiguration
        object for the customization
  */
  public String getConfigurationName() {
    return NAME;
  }

  /** Returns the MJCConfiguration with which this object is customized.
      @return MJCConfiguration: the MJCConfiguration with which this
        object is customized
  */
  public String getConfigurationVersion() {
    return VERSION;
  }

  /** Default constructor.
  */
  public MJCStringConfiguration(String s) {
    pre_init();
    try {
      iS=new MJCStringInputStream(s);
      post_init();
    }
    catch (Exception e) {
    }
  }
}