/************************************************************************
*
* Copyright (C) 2001 by 
* Kerenyi Kristof, Toth Gergely
*
* Team Monica Javacom, Package version 0.2
*
* Report any comments to javacom@tg.sch.bme.hu
* 
* Available under the GPL.
* 
* For more details about the copyright terms and conditions read the
* GNU Public License (GPL) available under www.gnu.org/copyleft/gpl.txt.
* 
*********************************************************************** */


package com.monica.javacom.util;

import com.monica.javacom.interfaces.*;
import com.monica.javacom.util.*;

import java.io.*;

public class MJCStringInputStream extends InputStream {

  int pos;
  byte b[];

  public MJCStringInputStream (String s) {
    pos=0;
    MJCConverter c=new MJCConverter();
    b=c.getBytes(s);
  }

  public int read() throws IOException {
    if (pos==b.length) return -1;
    byte bb=b[pos];
    pos++;
    if (bb<0) return (int)(256+bb);
    return (int)bb;
  }

  public int read(byte bout[], int off, int len) throws IOException {
    int rlen=b.length-pos;
    if (rlen==0) return -1;
    if (rlen>len) rlen=len;
    for (int i=0; i<rlen; i++) {
      bout[off+i]=b[pos];
      ++pos;
    }
    return rlen;
  }

  public long skip(long n) throws IOException {
    int rlen=b.length-pos;
    if (rlen>n) rlen=(int)n;
    pos+=rlen;
    return rlen;
  }

  public int available() throws IOException {
    return (b.length-pos);
  }

  public void close() throws IOException {
  }

  public synchronized void mark(int readLimit) {
  }

  public synchronized void reset() throws IOException {
    throw new IOException("Mark/Reset not supported");
  }

  public boolean markSupported() {
    return false;
  }
}


